/** Simple class for representing cards
 *  each card has a rank and a suit
 *  @author mwa
 */
public class Card {

    private int rank;
    private char suit;

    /** Constructs a card with a given suit and rank
     * @param the rank
     * @param the suit
     */
    public Card(int rank, char suit){
	this.rank = rank;
	this.suit = suit;
    }

    /** @return card's rank
     */
    public int getRank(){
	return rank;
    }

    /** @return card's suit
     */
    public char getSuit(){
	return suit;
    }

    /** @return String representation of card 
     */
    public String  toString(){
	return "" + rank + suit;
    }

    /** @return true iff o is a Card with equal rank
     */
    public boolean equals(Object o){
	if (!(o instanceof Card))
	    return false;
	return (((Card)o).rank == rank);
    }
    
}
