/** Generic node class for our linked list adt
 */
public class LLNode<E>{

    private E el;
    private LLNode next;

    /** Constructs a LLNode with an item and a
     *  next node.
     *  @param the item to add
     *  @param the node after
     */
    public LLNode(E el, LLNode next){
	this.el = el;
	this.next = next;
    }

    /** Constructs a LLNode with an item and 
     *  no next node.
     *  @param the item to add
     */
    public LLNode(E el){
	this.el = el;
	this.next = next;
    }

    /** @return the item contained in the node
     */
    public E getElement(){
	return el;
    }

    /** @return pointer to the next node
     */
    public LLNode getNext(){
	return next;
    }

    /** Sets the item
     *  @param item to set
     */
    public void setElement(E el){
	this.el = el;
    }

    /** Sets the next pointer
     *  @param next pointer
     */
    public void setNext(LLNode next){
	this.next = next;
    }

    /** @return String representation of the item
     */
    public String toString(){
	return el.toString();
    }

}
